<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: Data Fields - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="contents">
&#160;

<h3><a id="index_u"></a>- u -</h3><ul>
<li>ulClientRandomLen
: <a class="el" href="structCK__SSL3__RANDOM__DATA.html#a82f31573a36ada66c5951454e5fc9bfd">CK_SSL3_RANDOM_DATA</a>
</li>
<li>ulDeviceError
: <a class="el" href="structCK__SESSION__INFO.html#a68db637bb951d29e21f2e44639ce5017">CK_SESSION_INFO</a>
</li>
<li>ulEffectiveBits
: <a class="el" href="structCK__RC2__CBC__PARAMS.html#a181d6b45794496029378f93021fc9519">CK_RC2_CBC_PARAMS</a>
, <a class="el" href="structCK__RC2__MAC__GENERAL__PARAMS.html#a181d6b45794496029378f93021fc9519">CK_RC2_MAC_GENERAL_PARAMS</a>
</li>
<li>ulFreePrivateMemory
: <a class="el" href="structCK__TOKEN__INFO.html#a039dbab2d84c79f65abf8b78d0f74ef4">CK_TOKEN_INFO</a>
</li>
<li>ulFreePublicMemory
: <a class="el" href="structCK__TOKEN__INFO.html#a6c13a6a0eb580001cb0d0a21f977e75b">CK_TOKEN_INFO</a>
</li>
<li>ulIteration
: <a class="el" href="structCK__PBE__PARAMS.html#ad9c12921654a58f48b32e71c3742026d">CK_PBE_PARAMS</a>
</li>
<li>ulIvLen
: <a class="el" href="structCK__RC5__CBC__PARAMS.html#a369e27367725ae54a5b066d87ad6e0b6">CK_RC5_CBC_PARAMS</a>
</li>
<li>ulIVSizeInBits
: <a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#aa6c871e7a72f9d39ec7eac89b4a70205">CK_SSL3_KEY_MAT_PARAMS</a>
</li>
<li>ulKeySizeInBits
: <a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#a74fe2af5f13d07d0ce587a6aa42bacd6">CK_SSL3_KEY_MAT_PARAMS</a>
</li>
<li>ulLen
: <a class="el" href="structCK__KEY__DERIVATION__STRING__DATA.html#aa52e024c15ba8c4cfad47a1cc5d98b5e">CK_KEY_DERIVATION_STRING_DATA</a>
</li>
<li>ulMacLength
: <a class="el" href="structCK__RC2__MAC__GENERAL__PARAMS.html#a7c666619b471e4c6c6083a50adab5272">CK_RC2_MAC_GENERAL_PARAMS</a>
, <a class="el" href="structCK__RC5__MAC__GENERAL__PARAMS.html#a7c666619b471e4c6c6083a50adab5272">CK_RC5_MAC_GENERAL_PARAMS</a>
</li>
<li>ulMacSizeInBits
: <a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#a2439a0d44f4d06d26cef9a416f2dc6dc">CK_SSL3_KEY_MAT_PARAMS</a>
</li>
<li>ulMaxKeySize
: <a class="el" href="structCK__MECHANISM__INFO.html#a4e2b8a1f4f9d06088d311cbf92d551a9">CK_MECHANISM_INFO</a>
</li>
<li>ulMaxPinLen
: <a class="el" href="structCK__TOKEN__INFO.html#a4c60397f414863f328338adf72b5981d">CK_TOKEN_INFO</a>
</li>
<li>ulMaxRwSessionCount
: <a class="el" href="structCK__TOKEN__INFO.html#a9fd4e8ef694bceb1e6f770f8fd2e4433">CK_TOKEN_INFO</a>
</li>
<li>ulMaxSessionCount
: <a class="el" href="structCK__TOKEN__INFO.html#a394870908a45cd7d77e9782bf8bc6084">CK_TOKEN_INFO</a>
</li>
<li>ulMinKeySize
: <a class="el" href="structCK__MECHANISM__INFO.html#af8c548a9b682f948b3c751cec8bb4968">CK_MECHANISM_INFO</a>
</li>
<li>ulMinPinLen
: <a class="el" href="structCK__TOKEN__INFO.html#a3b072cc87216ed127c027c402593844a">CK_TOKEN_INFO</a>
</li>
<li>ulNewPasswordLen
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a8e424df37706c0c5dc6b6f6e4bc47902">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>ulNewPublicDataLen
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a3b8260daaaf7c82eebde5d6a9619c87c">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>ulNewRandomLen
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a9c9eb19eea6e2d16c2ef58cf7b6f3261">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>ulOldPasswordLen
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a22aca150dbcc8624d4baf16654e818b0">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>ulOldPublicDataLen
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#ab198fd92d80e111db8b47946178867fc">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>ulOldRandomLen
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#ab59f51b5a5a26679244adcd0b3fe71e1">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>ulOldWrappedXLen
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#aaebfa9ee1efa17e01385e912f131dbce">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>ulOtherInfoLen
: <a class="el" href="structCK__X9__42__DH1__DERIVE__PARAMS.html#ace81f9dea6ea647a99eb5fffb98621ea">CK_X9_42_DH1_DERIVE_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#ace81f9dea6ea647a99eb5fffb98621ea">CK_X9_42_DH2_DERIVE_PARAMS</a>
</li>
<li>ulPAndGLen
: <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#a4cae58e875e47801c0a1d93f64dfc159">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
</li>
<li>ulParameterLen
: <a class="el" href="structCK__MECHANISM.html#afb65c49e615a80e97e35c4444bf4b054">CK_MECHANISM</a>
</li>
<li>ulPasswordLen
: <a class="el" href="structCK__PBE__PARAMS.html#a89c0c27f6cec1370f47936875a8cc1b5">CK_PBE_PARAMS</a>
, <a class="el" href="structCK__PKCS5__PBKD2__PARAMS.html#a187120073a07b34463f0dadce07b26f0">CK_PKCS5_PBKD2_PARAMS</a>
, <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#a89c0c27f6cec1370f47936875a8cc1b5">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
</li>
<li>ulPrfDataLen
: <a class="el" href="structCK__PKCS5__PBKD2__PARAMS.html#a59632ecf883e3c71e3eefff1a93a326e">CK_PKCS5_PBKD2_PARAMS</a>
</li>
<li>ulPrivateDataLen
: <a class="el" href="structCK__ECDH2__DERIVE__PARAMS.html#a298011aaedd3c092f893e8bbba354cf9">CK_ECDH2_DERIVE_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a298011aaedd3c092f893e8bbba354cf9">CK_X9_42_DH2_DERIVE_PARAMS</a>
</li>
<li>ulPublicDataLen
: <a class="el" href="structCK__ECDH1__DERIVE__PARAMS.html#ae9ccaf64b51247d789c8e4d78b64b54c">CK_ECDH1_DERIVE_PARAMS</a>
, <a class="el" href="structCK__ECDH2__DERIVE__PARAMS.html#ae9ccaf64b51247d789c8e4d78b64b54c">CK_ECDH2_DERIVE_PARAMS</a>
, <a class="el" href="structCK__KEA__DERIVE__PARAMS.html#ae9ccaf64b51247d789c8e4d78b64b54c">CK_KEA_DERIVE_PARAMS</a>
, <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#ae9ccaf64b51247d789c8e4d78b64b54c">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH1__DERIVE__PARAMS.html#ae9ccaf64b51247d789c8e4d78b64b54c">CK_X9_42_DH1_DERIVE_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#ae9ccaf64b51247d789c8e4d78b64b54c">CK_X9_42_DH2_DERIVE_PARAMS</a>
</li>
<li>ulPublicDataLen2
: <a class="el" href="structCK__ECDH2__DERIVE__PARAMS.html#a883bd3806b7c0e47291bc8efce44ccc1">CK_ECDH2_DERIVE_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a883bd3806b7c0e47291bc8efce44ccc1">CK_X9_42_DH2_DERIVE_PARAMS</a>
</li>
<li>ulQLen
: <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#a0e2a060a89783c74b9189f7ee989e336">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
</li>
<li>ulRandomLen
: <a class="el" href="structCK__KEA__DERIVE__PARAMS.html#a00a1a192971f1194f2e40e86eba49d32">CK_KEA_DERIVE_PARAMS</a>
, <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#a00a1a192971f1194f2e40e86eba49d32">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
</li>
<li>ulRounds
: <a class="el" href="structCK__RC5__CBC__PARAMS.html#abccd916df6f88f2628b639341735dc43">CK_RC5_CBC_PARAMS</a>
, <a class="el" href="structCK__RC5__MAC__GENERAL__PARAMS.html#abccd916df6f88f2628b639341735dc43">CK_RC5_MAC_GENERAL_PARAMS</a>
, <a class="el" href="structCK__RC5__PARAMS.html#abccd916df6f88f2628b639341735dc43">CK_RC5_PARAMS</a>
</li>
<li>ulRwSessionCount
: <a class="el" href="structCK__TOKEN__INFO.html#a39de3a16823c0b86ad1c7eb3bdc96dee">CK_TOKEN_INFO</a>
</li>
<li>ulSaltLen
: <a class="el" href="structCK__PBE__PARAMS.html#a4d206c4f8551e261f4bbd21409ffb631">CK_PBE_PARAMS</a>
</li>
<li>ulSaltSourceDataLen
: <a class="el" href="structCK__PKCS5__PBKD2__PARAMS.html#accc283cca246fe250eb584e580bc9770">CK_PKCS5_PBKD2_PARAMS</a>
</li>
<li>ulServerRandomLen
: <a class="el" href="structCK__SSL3__RANDOM__DATA.html#a06c78ab50a4a6ba078e8f5d4f2584e2d">CK_SSL3_RANDOM_DATA</a>
</li>
<li>ulSessionCount
: <a class="el" href="structCK__TOKEN__INFO.html#a2cb6413a03ac0656763d4f8a224c1dbf">CK_TOKEN_INFO</a>
</li>
<li>ulSharedDataLen
: <a class="el" href="structCK__ECDH1__DERIVE__PARAMS.html#a95606c7e5bb43c1d62f41791c98d7f7f">CK_ECDH1_DERIVE_PARAMS</a>
, <a class="el" href="structCK__ECDH2__DERIVE__PARAMS.html#a95606c7e5bb43c1d62f41791c98d7f7f">CK_ECDH2_DERIVE_PARAMS</a>
</li>
<li>ulSourceDataLen
: <a class="el" href="structCK__RSA__PKCS__OAEP__PARAMS.html#a29d3bfdcb833349f4c737a1ffda17cc5">CK_RSA_PKCS_OAEP_PARAMS</a>
</li>
<li>ulTotalPrivateMemory
: <a class="el" href="structCK__TOKEN__INFO.html#af980569d979ee7f3e94424c58594607f">CK_TOKEN_INFO</a>
</li>
<li>ulTotalPublicMemory
: <a class="el" href="structCK__TOKEN__INFO.html#a16e1947af9da868c8624d4628b6c8487">CK_TOKEN_INFO</a>
</li>
<li>ulValueLen
: <a class="el" href="structCK__ATTRIBUTE.html#a5f80a21c442e2b07633dbac15714459b">CK_ATTRIBUTE</a>
</li>
<li>ulWordsize
: <a class="el" href="structCK__RC5__CBC__PARAMS.html#adec9abac2456557fc3fa3ee9b93c074b">CK_RC5_CBC_PARAMS</a>
, <a class="el" href="structCK__RC5__MAC__GENERAL__PARAMS.html#adec9abac2456557fc3fa3ee9b93c074b">CK_RC5_MAC_GENERAL_PARAMS</a>
, <a class="el" href="structCK__RC5__PARAMS.html#adec9abac2456557fc3fa3ee9b93c074b">CK_RC5_PARAMS</a>
</li>
<li>ulXLen
: <a class="el" href="structCK__KEY__WRAP__SET__OAEP__PARAMS.html#a862ba0222874033b65d60dc20602fc56">CK_KEY_WRAP_SET_OAEP_PARAMS</a>
</li>
<li>UnlockMutex
: <a class="el" href="structCK__C__INITIALIZE__ARGS.html#a91a759efa3a828734a55218299aeece4">CK_C_INITIALIZE_ARGS</a>
</li>
<li>uri
: <a class="el" href="structmapfile.html#a69ec24fb2d0a5f5e532deb9adaab81d6">mapfile</a>
</li>
<li>use_authok
: <a class="el" href="structconfiguration__st.html#aff1484fd9a16ff58d32123fe31e055f2">configuration_st</a>
</li>
<li>use_first_pass
: <a class="el" href="structconfiguration__st.html#ad9fda1e7a699ee36eea07f121f32cdbb">configuration_st</a>
</li>
<li>username
: <a class="el" href="structconfiguration__st.html#aba2dfcdfda80edcb531a5a7115d3e043">configuration_st</a>
</li>
<li>utcTime
: <a class="el" href="structCK__TOKEN__INFO.html#ae44f05ac955ad6b395ed5b11f9546b37">CK_TOKEN_INFO</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
